Subject: Highlight fields of an useCombination again

Description

Hello Ul-Team,

there was a time where fields of a useCombination construct were highlighted with a red border. | don't know when, but this

highlighning was removed, but the class for the related record is still there. As discussed here on CodeSprint CGN we and Olli think it

was a good task to add highlightning again.

Stefan

Related issues:

related to Core - Bug # 60370: Irre elements with enabled useCombination miss...

Resolved 2014-07-17

Associated revisions

Revision 9b5ad3eb - 2014-03-24 14:07 - Benjamin Kott

[BUGFIX] IRRE bidirectional relation not highlighted

Currently the user is not able to recognize that he is working on
record relations. These records may be used in several places in

the system and the user should be aware of that specific behaviour.

In previous versions of TYPOS there has been a wrapper which
highlighted input fields, but had no explanation. This was removed

later. To restore the functionality and make it understandable to the

user why he should edit the fields wisely, the wrapper has been replaced
by a flash message. This explains to the user what happens when the
record gets changed.

Resolves: #55553

Releases: 6.2

Change-Id: Ic8a41cdb251cfc8d0134e2b53927ff71ddd5e594
Reviewed-on: https://review.typo3.org/27235

Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Markus Klein
Tested-by: Markus Klein
https://review.typo3.org/27235

#1 - 2014-02-01 16:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27235

#2 - 2014-02-01 16:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27235

#3 - 2014-02-01 17:23 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27235

#4 - 2014-02-24 16:21 - Markus Klein

Do we have a good place in core to test that?

#5 - 2014-03-24 08:49 - Stefan Froemken
- File sfcombination_0.0.1_201403240848.zip added

Here is a little testing extension

#6 - 2014-03-24 13:58 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27235

#7 - 2014-03-24 14:31 - Benjamin Kott
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9b5ad3eb11d752bde583504d8ae2e8f28f0643fb.

Files

sfcombination_0.0.1_201403240848.zip 653.3 kB 2014-03-24
